import { IEnumerator$1, IEnumerator, Base, Type } from "igniteui-react-core/ES5/type";
import { KeyValuePair$2 } from "igniteui-react-core/ES5/KeyValuePair$2";
import { OrderedDictionary$2 } from "./OrderedDictionary$2";
export declare class OrderedDictionary_Enumerator$2<TKey, TValue> extends Base implements IEnumerator$1<KeyValuePair$2<TKey, TValue>>, IEnumerator {
    protected $tKey: Type;
    protected $tValue: Type;
    private b;
    private a;
    constructor($tKey: Type, $tValue: Type, a: OrderedDictionary$2<TKey, TValue>);
    readonly currentObject: any;
    readonly current: KeyValuePair$2<TKey, TValue>;
    moveNext(): boolean;
    reset(): void;
    dispose(): void;
    static $t: Type;
}
